Subject: [apps-discuss] 回复: Re: AppsDir review of draft-ietf-nfsv4-rfc3530bis-25

From: "Jiankang Yao" <[email-masked]>
Date: Wed, 8 May 2013 14:20:21 +0800

thanks for your kind reply.
Your suggested change is one way to improve this document.
but I suggest you to ask more internationalization experts' comments about this internationalization issue in the apps-discuss list.

Regards

Jiankang Yao

From: Haynes, Tom
Date: 2013-05-08 12:23
To: Jiankang YAO
CC: ; 
Subject: Re: AppsDir review of draft-ietf-nfsv4-rfc3530bis-25
Hi  Jiankang,

I spoke with our internationalization expert and they describe that our use of
stringprep is informative and as a guideline.

As such, we will move the reference to no longer be normative and thus
keep the document to refer to the existing version of UNICODE.

Thanks,
Tom

On Apr 12, 2013, at 12:57 AM, Jiankang YAO <[email-masked]> wrote:

> I have been selected as the Applications Area Directorate reviewer 
> for this draft (for background on appsdir, please 
> see 
> http://trac.tools.ietf.org/area/app/trac/wiki/ApplicationsAreaDirectorate 
> ).  
> Please resolve these comments along with any other comments 
> you may receive. Please wait for direction from your document 
> shepherd or AD before posting a new version of the draft.
> 
> Document: 
> draft-ietf-nfsv4-rfc3530bis-25 
> Title: 
> Network File System (NFS) Version 4 Protocol
> 
> 
> Reviewer: Jiankang Yao
> Review Date: April 12, 2013
> 
> Summary:
> 
> This draft is very long. I mainly focus on section 12 of this document.This part is about internationalization.
> 
> Major issue:none.
> 
> Minor issue:
> 
>  This part refer to ISO.10646-1.1993, which is almost same to UNICODE 3.2. The RFC3454 referred by this document is also based on ISO.10646-1.1993. The problem is that the UNICODE has been updated to Version 6.2 from version 3.2. RFC3454 may not work for UNICODE 6.2.
>  Should this document be updated to refer to the new version of UNICODE?
> 
> 
> 
> Best Regards
> 
> Jiankang Yao

---

From: "Haynes, Tom" <[email-masked]>
Date: Wed, 8 May 2013 04:23:18 +0000

Hi  Jiankang,

Thanks,
Tom

---

From: S Moonesamy <[email-masked]>
Date: Wed, 08 May 2013 09:18:41 -0700

At 23:20 07-05-2013, Jiankang Yao wrote:
>but I suggest you to ask more internationalization experts' comments 
>about this

[snip]

>keep the document to refer to the existing version of UNICODE.

This is a comment and not expert advice.

RFC 6885 mentions that Stringprep is bound to Version 3.2 of Unicode 
and that protocols using it are stuck on that version.  I don't 
recall the status of the working group work.

 From Section 12.1.1:

   "NFSv4, while it does make normative references to stringprep and uses
    elements of that framework, it does not, for reasons that are
    explained below, conform to that framework, for all of the strings
    that are used within it."

It is unclear whether the use of stringprep is informative or 
normative.  Section 12 of the draft is well-written.  Some of the 
issues mentioned in that section have been raised during the IDNA 
discussions.  Section 12 would benefit from more review.

Regards,
S. Moonesamy